std::experimental::pmr::synchronized_pool_resource::do_deallocate(3)

NAME
std::experimental::pmr::synchronized_pool_resource::do_deallocate - std::experimental::pmr::synchronized_pool_resource::do_deallocate

Synopsis
   virtual void do_deallocate( void* p, std::size_t bytes, (library fundamentals TS)
   std::size_t alignment );
   Returns the memory at p to the pool. It is unspecified if or under what
   circumstances this operation will result in a call to deallocate() on the upstream
   memory resource.

Exceptions
   Throws nothing.

See also
                 deallocates memory
   deallocate (public member function of std::experimental::pmr::memory_resource)
   do_deallocate deallocates memory
   [virtual] (virtual protected member function of
                 std::experimental::pmr::memory_resource)

Category:
     * Noindexed pages